package com.seitenbau.testing.addons.dbunit.connection;

import com.seitenbau.testing.addons.dbunit.IConnectionProviderConfig;

/**
 * Basis Konfiguration fr ConnectionProvider welche zum Test-Zeitpunkt
 * eine ganz normale JDBC Verbindung aufbauen.
 *
 * <p>Das Dynamische finden der Connection zum Aufzeichnungs Zeitpunkt
 * kann leider (meist) nicht die eigentlichen Verbindungsdaten wie
 * url, Benutzer oder Passwort erfassen, daher muss dies manuell fr die
 * Tests definiert werden.
 *
 * <p>Hierfr stellt diese Konfiguration die Basis Funktionalitt bereit.
 * Es muss nur noch die Detektions Methoden fr die Aufzeichnung implementiert
 * werden.
 */
public abstract class AbstractPlainJdbcConfig implements IConnectionProviderConfig
{

  private String databaseURL;
  private String databaseDriver;
  private String databaseUsername;
  private String databasePassword;

  public String getDatabaseURL()
  {
    return databaseURL;
  }

  public void setDatabaseURL(String databaseURL)
  {
    this.databaseURL = databaseURL;
  }

  public String getDatabaseDriver()
  {
    return databaseDriver;
  }

  public void setDatabaseDriver(String databaseDriver)
  {
    this.databaseDriver = databaseDriver;
  }

  public String getDatabaseUsername()
  {
    return databaseUsername;
  }

  public void setDatabaseUsername(String databaseUsername)
  {
    this.databaseUsername = databaseUsername;
  }

  public String getDatabasePassword()
  {
    return databasePassword;
  }

  public void setDatabasePassword(String databasePassword)
  {
    this.databasePassword = databasePassword;
  }

}
