package com.seitenbau.testing.addons.dbunit.connection;

import org.dbunit.AbstractDatabaseTester;
import org.dbunit.JdbcDatabaseTester;

import com.seitenbau.testing.addons.dbunit.IConnectionProvider;
import com.seitenbau.testing.addons.dbunit.IConnectionProviderConfig;

/**
 * Implementiert simple JDBC Connection fr die Testausfhrung.
 *
 *
 */
public abstract class AbstractPlainTestJdbcProvider implements
    IConnectionProvider
{

  private AbstractPlainJdbcConfig myPlainJdbcConfig;

  public AbstractDatabaseTester getDatabaseTester()
  {
    String driver = getPlainJdbcConfig().getDatabaseDriver();
    String url = getPlainJdbcConfig().getDatabaseURL();
    String user = getPlainJdbcConfig().getDatabaseUsername();
    String pwd = getPlainJdbcConfig().getDatabasePassword();
    return new JdbcDatabaseTester(driver, url, user, pwd);
  }

  public void setConfiguration(IConnectionProviderConfig connectionProvider)
  {
    if (connectionProvider instanceof AbstractPlainJdbcConfig)
    {
      myPlainJdbcConfig = (AbstractPlainJdbcConfig) connectionProvider;
    }
  }

  public AbstractPlainJdbcConfig getPlainJdbcConfig()
  {
    return myPlainJdbcConfig;
  }

  public void setPlainJdbcConfig(AbstractPlainJdbcConfig plainJdbcConfig)
  {
    myPlainJdbcConfig = plainJdbcConfig;
  }

}
