package com.seitenbau.testing.addons.dbunit.connection;

import org.dbunit.database.IDatabaseConnection;

import com.seitenbau.testing.addons.dbunit.IConnectionProvider;

/**
 * Connection Provider, welcher die Connection direkt ber einen Callback bekommt.
 *
 * <p>Dies ist Hilfreich fr eigenen Umgebungen welche nicht durch die Standard Provider
 * Abgedeckt werden knnen.
 *
 * <p>Die Statische Methode
 * <code>ConnectionProviderCallback::setConnectionProviderCallbackListener()</code> dient
 * zum Setzen der Callback Instanz.
 */
public class ConnectionProviderCallback extends AbstractPlainTestJdbcProvider
    implements IConnectionProvider
{
  /**
   * Der gesetze Callback Listener
   */
  private static IConnectionProviderCallbackListener myListener = null;

  public static void setConnectionProviderCallbackListener(
      IConnectionProviderCallbackListener listener)
  {
    myListener = listener;
  }

  public static IConnectionProviderCallbackListener getConnectionProviderCallbackListener()
  {
    return myListener;
  }

  public IDatabaseConnection getConnection()
  {
    if (getConnectionProviderCallbackListener() != null)
    {
      return getConnectionProviderCallbackListener()
          .getConnectionProviderConnection();
    }
    return null;
  }
}
