package com.seitenbau.testing.addons.dbunit.connection;

import com.seitenbau.testing.addons.dbunit.IConnectionProvider;
import com.seitenbau.testing.addons.dbunit.IConnectionProviderConfig;
import com.seitenbau.testing.instrumentation.generator.impl.IPrintHelpMessage;
import com.seitenbau.testing.shared.writer.IWriter;

/**
 * Konfiguration fr den JdbcPlainProvider
 */
public class ConnectionProviderJdbcConfig extends AbstractPlainJdbcConfig implements IConnectionProviderConfig,IPrintHelpMessage
{

  public Class<? extends IConnectionProvider> getConnectionProviderClass()
  {
    return ConnectionProviderJdbcProvider.class;
  }

  public void printHelpMessage(IWriter writer)
  {
    writer.appendNewLine("JDBC - Connection Provider is active with following settings:");
    writer.appendNewLine();
    writer.appendNewLine("Database URL      = ",getDatabaseURL());
    writer.appendNewLine("Database Driver   = ",getDatabaseDriver());
    writer.appendNewLine("Database Username = ",getDatabaseUsername());

  }
}
