package com.seitenbau.testing.addons.dbunit.connection;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import org.dbunit.AbstractDatabaseTester;
import org.dbunit.JdbcDatabaseTester;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.database.IDatabaseConnection;

import com.seitenbau.testing.addons.dbunit.IConnectionProvider;
import com.seitenbau.testing.addons.dbunit.IConnectionProviderConfig;

/**
 * Basic Provider for just an JDBC connection.
 *
 * <p>Use when no Transactions are running.
 *
 */
public class ConnectionProviderJdbcProvider implements IConnectionProvider
{

  private AbstractPlainJdbcConfig myConnectionconfig;

  public IDatabaseConnection getConnection()
  {
    try
    {
      Class.forName(myConnectionconfig.getDatabaseDriver());
    }
    catch (ClassNotFoundException e)
    {
      e.printStackTrace();
    }

    Connection jdbcConnection;
    try
    {
      jdbcConnection = DriverManager.getConnection(myConnectionconfig
          .getDatabaseURL(), myConnectionconfig.getDatabaseUsername(),
          myConnectionconfig.getDatabasePassword());

      return new DatabaseConnection(jdbcConnection);
    }
    catch (SQLException e)
    {
      e.printStackTrace();
    }

    return null;
  }

  public void setConfiguration(IConnectionProviderConfig connectionProvider)
  {
    myConnectionconfig = (AbstractPlainJdbcConfig) connectionProvider;
  }

  public AbstractDatabaseTester getDatabaseTester()
  {
    return new JdbcDatabaseTester(myConnectionconfig.getDatabaseDriver(),
        myConnectionconfig.getDatabaseURL(), myConnectionconfig
            .getDatabaseUsername(), myConnectionconfig.getDatabasePassword());
  }

}
