package com.seitenbau.testing.addons.dbunit.helper;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.DataSource;

import org.dbunit.database.DatabaseConnection;
import org.springframework.jdbc.datasource.DataSourceUtils;

/**
 * Erzeugt eine DBUnit Database Connection, welche aber kein close der
 * zugrundeliegenden Verbindung macht.
 */
public class NotCloseingDatabaseConnection extends DatabaseConnection
{

  public NotCloseingDatabaseConnection(Connection connection)
  {
    super(connection);
  }

  public NotCloseingDatabaseConnection(DataSource ds)
  {
    super(DataSourceUtils.getConnection(ds));
  }

  public void close() throws SQLException
  {
      // Don't close the connection
  }

}
