package com.seitenbau.testing.addons.dbunit.helper;

import javax.sql.DataSource;

import org.dbunit.AbstractDatabaseTester;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.database.IDatabaseConnection;
import org.springframework.jdbc.datasource.DataSourceUtils;

/**
 * Erzeugt einen Datenbank Tester fr JUnit, welcher aber kein Close der
 * zugrundeliegenden Verbindung macht.
 */
public class NotCloseingDatabaseTester extends AbstractDatabaseTester
{
  private DataSource dataSource;

  public NotCloseingDatabaseTester(DataSource dataSource)
  {
    super();
    this.dataSource = dataSource;
  }

  public IDatabaseConnection getConnection() throws Exception
  {
    return new DatabaseConnection(DataSourceUtils.getConnection(dataSource));
  }

  public void closeConnection(IDatabaseConnection connection) throws Exception
  {
    // Don't close the connection
  }

}
