package com.seitenbau.testing.addons.dbunit.listener;

import java.util.ArrayList;
import java.util.List;

/**
 * Einstellungen fr jede einzelne Tabell.
 *
 * <p>
 * Also welche Spalten enthalten / ausgeschlossen werden soll.
 */
public class DbUnitTableConfig
{
  private String tableName;

  private List<String> excludeColumns;

  public String getTableNname()
  {
    return tableName;
  }

  public void setTableName(String tableNname)
  {
    this.tableName = tableNname;
  }

  public List<String> getExcludeColumns()
  {
    if (excludeColumns == null)
    {
      excludeColumns = new ArrayList<String>();
    }
    return excludeColumns;
  }

  public void setExcludeColumns(List<String> excludeColumns)
  {
    this.excludeColumns = excludeColumns;
  }

  public boolean addExcludeColumn(String o)
  {
    return getExcludeColumns().add(o);
  }

  public void mergeExcludeColumn(List<String> excludeColumns2)
  {

    for(String newCol:excludeColumns2)
    {
      if( ! getExcludeColumns().contains( newCol ))
      {
        getExcludeColumns().add( newCol );
      }
    }

  }
}
