package com.seitenbau.testing.addons.plugin;

import com.seitenbau.testing.addons.dbunit.connection.ConnectionProviderJdbcConfig;
import com.seitenbau.testing.addons.dbunit.listener.DbUnitListenerConfiguration;
import com.seitenbau.testing.addons.dbunit.listener.DbUnitTableConfig;
import com.seitenbau.testing.addons.spring.dbunit.ConnectionProviderSpringConfig;
import com.seitenbau.testing.shared.plugin.IXStreamSweetner;
import com.thoughtworks.xstream.XStream;

/**
 * Dient zum 'Verschnern' der XML Konfigurations Dateien.
 */
public class DbUnitXStreamSweetner implements IXStreamSweetner
{

  public void registerOnXStream(XStream xs)
  {
    // DBUnit Configuration
    xs.alias("DbUnitListenerConfig", DbUnitListenerConfiguration.class);
    xs.alias("DbUnitTableConfig", DbUnitTableConfig.class);
    xs.addImplicitCollection(DbUnitTableConfig.class, "excludeColumns",
        "excludeColumn", String.class);
    xs.useAttributeFor(DbUnitTableConfig.class, "tableName");

    xs.alias("DirectJdbcProviderConfig", ConnectionProviderJdbcConfig.class);
    xs.alias("SpringConnectionProviderConfig",
        ConnectionProviderSpringConfig.class);
  }

  public String getName()
  {
    return getClass().getCanonicalName();
  }
}
