package com.seitenbau.testing.addons.spring;

import java.util.Arrays;
import java.util.List;

import org.apache.velocity.context.Context;

import com.seitenbau.testing.testgenerator.partgenerator.IJUnitPartGenerator;
import com.seitenbau.testing.testgenerator.partgenerator.velocity.AbstractTemplatePartGenerator;

/**
 * PartGenerator to inject Spring IOC Features into the DataDriven
 * Test
 */
public class PartGeneratorSpring extends AbstractTemplatePartGenerator implements
    IJUnitPartGenerator
{
  
  boolean myGenerateSpringTransaction = true;
  
  String myTransactionManagerName = null;
  
  String myApplicationContextName=null;

  @Override
  protected void prepareContext(Context context)
  {
    super.prepareContext(context);

    context.put("spring-generateTransaction", isGenerateSpringTransaction() );
    context.put("spring-TransactionManagerName", getTransactionManagerName() );
    context.put("spring-ApplicationContextName", getApplicationContextName() );
  }

  @Override
  public List<String> getImports()
  {
    return Arrays
        .asList(new String[] {
            "org.springframework.test.context.transaction.TransactionConfiguration",
            "org.springframework.transaction.annotation.Transactional",
            "org.springframework.test.context.ContextConfiguration",
            "org.springframework.test.context.TestContextManager",
            "com.seitenbau.testing.addons.spring.SpringTestContext",
            "com.seitenbau.junit.annotation.PrepareFixture",
            "com.seitenbau.junit.annotation.DataDrivenTestListener",
            "org.springframework.beans.factory.annotation.Autowired"});
  }

  public boolean isGenerateSpringTransaction()
  {
    return myGenerateSpringTransaction;
  }

  public void setGenerateSpringTransaction(boolean generateSpringTransaction)
  {
    myGenerateSpringTransaction = generateSpringTransaction;
  }

  public String getTransactionManagerName()
  {
    return myTransactionManagerName;
  }

  public void setTransactionManagerName(String transactionManagerName)
  {
    myTransactionManagerName = transactionManagerName;
  }

  public String getApplicationContextName()
  {
    return myApplicationContextName;
  }

  public void setApplicationContextName(String applicationContextName)
  {
    myApplicationContextName = applicationContextName;
  }

}
