package com.seitenbau.testing.addons.spring;

import java.lang.reflect.Method;

import org.springframework.test.context.TestContextManager;

import com.seitenbau.junit.IParameterizedTestListener;

/**
 * Implements Spring Injection for DataDriven Tests
 *
 * <p>Enables &#64;Autowired inside the Testclass
 */
public class SpringTestContext implements IParameterizedTestListener
{

  /** The Spring test context manager */
  TestContextManager myTestContext;

  private Class<?> myTestClass;

  private Method myMethod;

  private Object myTestInstance;

  public void init(Class<?> testClass, Method method) throws Exception
  {
    myTestClass = testClass;

    myTestContext = new TestContextManager(myTestClass);

    myMethod = method;
  }

  public void afterCreateTest(Object testInstance) throws Exception
  {
    myTestInstance = testInstance;

    myTestContext.beforeTestMethod(testInstance, myMethod);

    myTestContext.prepareTestInstance(testInstance);
  }

  public void afterTestExecution() throws Exception
  {
    myTestContext.afterTestMethod(myTestInstance, myMethod, null);
  }

}
