package com.seitenbau.testing.addons.spring.dbunit;

import com.seitenbau.testing.addons.dbunit.IConnectionProvider;
import com.seitenbau.testing.addons.dbunit.IConnectionProviderConfig;
import com.seitenbau.testing.instrumentation.generator.impl.IPrintHelpMessage;
import com.seitenbau.testing.shared.writer.IWriter;

/**
 * Konfigurations fpr den SpringConnectionProvider
 */
public class ConnectionProviderSpringConfig implements
    IConnectionProviderConfig,IPrintHelpMessage
{
  private boolean forceFlush;
  private String dataSourceName;

  public Class<? extends IConnectionProvider> getConnectionProviderClass()
  {
    return ConnectionProviderSpringProvider.class;
  }

  public boolean isForceFlush()
  {
    return forceFlush;
  }

  public void setForceFlush(boolean forceFlush)
  {
    this.forceFlush = forceFlush;
  }

  public String getDataSourceName()
  {
    return this.dataSourceName;
  }

  public void setDataSourceName(String dataSourceName)
  {
    this.dataSourceName = dataSourceName;
  }

  public void printHelpMessage(IWriter writer)
  {
   writer.appendNewLine(" Make sure com.seitenbau.testing.addons.spring.dbunit.SpringConnectionDataSourceInjectorBean is in your Bean config");

  }

}
