package com.seitenbau.testing.addons.spring.dbunit;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;

/**
 * Spring Bean zum automatischen abgreifen der DataSource Instanz.
 *
 */
public class SpringConnectionDataSourceInjectorBean
{

  /** Die Datasource */
  @Autowired
  protected DataSource dataSource;

  /**
   * Die statische Instanz der DataSource. Bentigt fr die Statischen
   * Methoden.
   */
  protected static DataSource myCurrentDatasource;

  public static DataSource getCurrentDataSource()
  {
    return myCurrentDatasource;
  }

  public DataSource getDataSource()
  {
    return dataSource;
  }

  public void setDataSource(DataSource dataSource)
  {
    myCurrentDatasource = dataSource;
  }

}
