package com.seitenbau.testing.addons.spring.dbunit;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Spring Bean um die Hibernate Session Factory abzugreifen.
 */
public class SpringConnectionHibernateSessionInjectorBean
{
  /**
   * Die Aktuelle Session Factory
   */
  @Autowired
  protected SessionFactory sessionFactory;

  /**
   * Die Aktuelle Session Factory, allerdings statisch, fr die
   * Statischen Methoden.
   */
  private static SessionFactory myStaticSessionFactory;

  public SessionFactory getSessionFactory()
  {
    return sessionFactory;
  }

  public void setSessionFactory(SessionFactory sessionFactory)
  {
    setStaticSessionFactory(sessionFactory);
  }

  public static SessionFactory getStaticSessionFactory()
  {
    return myStaticSessionFactory;
  }

  public static void setStaticSessionFactory(SessionFactory staticSessionFactory)
  {
    myStaticSessionFactory = staticSessionFactory;
  }
}
